Loading...
Searching...
No Matches
fvbasegradientcalculator.hh File Reference

This class calculates gradients of arbitrary quantities at flux integration points using the two-point approximation scheme. More...

`#include <dune/common/fvector.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <opm/models/utils/basicproperties.hh>`
`#include <cmath>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::FvBaseGradientCalculator< TypeTag >
| This class calculates gradients of arbitrary quantities at flux integration points using the two-point approximation scheme. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

This class calculates gradients of arbitrary quantities at flux integration points using the two-point approximation scheme.